%****************** variables *************************
% paradata : input data (para-by-nd matrix)
% iout :output Ich data
% qout :output Qch data
% para   : Number of paralell channels
% nd : Number of data
% ml : Number of modulation levels
% (QPSK ->2  16QAM -> 4)
% *****************************************************

function out=sample(in,M)
L=length(in);
for i=1:L
    for j=1:M
       out((i-1)*M+j)=in(i);
    end
end
